Index: PostgreSqlDotnetCore/Controllers/BlogController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/BlogController.cs	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
+++ PostgreSqlDotnetCore/Controllers/BlogController.cs	(revision e90ba32557c3c52a93ec0b76184f5617270553ce)
@@ -60,5 +60,5 @@
 
             // Список на блог постови
-            var blogPosts = await db.BlogPostControllerObj.ToListAsync();
+            var blogPosts = await db.BlogUsers.ToListAsync();
 
             // Вземи тековниот корисник
@@ -105,4 +105,5 @@
             blogClass.BlogPostAnswers = blogAnswers;
             ViewBag.OnlyAdminManager = await checkAuthorizationSpecificRoleAsync(RoleConstants.Admin) ?? await checkAuthorizationSpecificRoleAsync(RoleConstants.Manager);
+            ViewBag.CurrentUserId = customerClass?.id;
             return View(blogClass);
         }
@@ -301,4 +302,15 @@
         // POST: Customer/Delete/5
 
+        /*
+                [HttpPost, ActionName("Delete")]
+                [ValidateAntiForgeryToken]
+                public ActionResult DeleteConfirmed(int id)
+                {
+                    BlogPostConsultation blogClass = db.BlogPostControllerObj.Find(id);
+                    db.BlogPostControllerObj.Remove(blogClass);
+                    db.SaveChanges();
+                    return RedirectToAction("Index");
+                }
+                */
 
         [HttpPost, ActionName("Delete")]
@@ -306,14 +318,40 @@
         public ActionResult DeleteConfirmed(int id)
         {
+            // Наоѓање на објектот по ID
             BlogPostConsultation blogClass = db.BlogPostControllerObj.Find(id);
+
+            // Проверка дали објектот е пронајден
+            if (blogClass == null)
+            {
+                // Ако објектот не е пронајден, враќаме 404 Not Found или друга соодветна акција
+                return View(null);
+            }
+            //  prvo izbrisi gi site odgovori po sot BlogId e primaren kluc vo drugata tabela
+
+            // query
+            var query = from st in db.BlogPostAnswersObj
+                        where st.BlogPostConsultationid == blogClass.id
+                        select st;
+            //elenaaa
+            var blogAnswers = query.ToList();
+            foreach (BlogPostAnswers answerClass in blogAnswers)
+            {
+                db.BlogPostAnswersObj.Remove(answerClass);
+                db.SaveChanges();
+
+            }
+
+            // Отстранување на објектот ако е пронајден
             db.BlogPostControllerObj.Remove(blogClass);
             db.SaveChanges();
+
+            // Пренасочување на корисникот кон Index страницата
             return RedirectToAction("Index");
         }
-        
+
         // GET: Customer/Delete/5
         // GET: Customer/Delete/5
         // GET: Customer/Delete/5
-    
+
 
 
Index: PostgreSqlDotnetCore/Controllers/BlogPostAnswersController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/BlogPostAnswersController.cs	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
+++ PostgreSqlDotnetCore/Controllers/BlogPostAnswersController.cs	(revision e90ba32557c3c52a93ec0b76184f5617270553ce)
@@ -155,11 +155,17 @@
         public ActionResult Edit([Bind(include: "id,parent_id,reply,root_post,usersID")] BlogPostAnswers answerClass)
         {
-            if (ModelState.IsValid)
-            {
-                db.Entry(answerClass).State = EntityState.Modified;
+
+            BlogPostAnswers answerClassDB = db.BlogPostAnswersObj.Find(answerClass.id);
+            if (answerClassDB != null && !answerClassDB.reply.Equals(answerClass.reply))
+            {
+                answerClassDB.reply = answerClass.reply;
+                answerClassDB.parent_id = answerClass.parent_id;
+                db.Entry(answerClassDB).State = EntityState.Modified;
                 db.SaveChanges();
-                return RedirectToAction("Index");
-            }
-            return View(answerClass);
+                //return RedirectToAction("Index");
+                int id = answerClassDB.BlogPostConsultationid;
+                return RedirectToAction("Details", "Blog", new { id });
+            }
+            return View(answerClassDB);
         }
 
Index: PostgreSqlDotnetCore/Controllers/PetCaresController.cs
===================================================================
--- PostgreSqlDotnetCore/Controllers/PetCaresController.cs	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
+++ PostgreSqlDotnetCore/Controllers/PetCaresController.cs	(revision e90ba32557c3c52a93ec0b76184f5617270553ce)
@@ -57,4 +57,5 @@
         {
             // check for permission
+            bool isAuthenticated = User.Identity.IsAuthenticated;
             UsersClass customerClass = await getCrrentUser();
             // set if is authenticated
@@ -75,5 +76,5 @@
 
                 var userPetCares =
-                    await query.ToListAsync<Pet_CaresClass>();
+                    await query.Include(n => n.PetsClass).ToListAsync<Pet_CaresClass>();
 
                 return View(userPetCares);
@@ -81,5 +82,5 @@
             else
             {
-                return View(db.PetCaresObj.ToList());
+                return View(db.PetCaresObj.Include(n => n.PetsClass).ToList());
             }
 
@@ -280,11 +281,26 @@
 
         // POST: Customer/Delete/5
+        /*  [HttpPost, ActionName("Delete")]
+          [ValidateAntiForgeryToken]
+          public ActionResult DeleteConfirmed(int id)
+          {
+              Pet_CaresClass peClass = db.PetCaresObj.Find(id);
+              db.PetCaresObj.Remove(peClass);
+              db.SaveChanges();
+              return RedirectToAction("Index");
+          }
+        */
+
         [HttpPost, ActionName("Delete")]
         [ValidateAntiForgeryToken]
-        public ActionResult DeleteConfirmed(int id)
-        {
-            Pet_CaresClass peClass = db.PetCaresObj.Find(id);
+        public async Task<ActionResult> DeleteConfirmed(int id)
+        {
+            Pet_CaresClass peClass = await db.PetCaresObj.FindAsync(id);
+            if (peClass == null)
+            {
+                return RedirectToAction("NotExist", "Error");
+            }
             db.PetCaresObj.Remove(peClass);
-            db.SaveChanges();
+            await db.SaveChangesAsync();
             return RedirectToAction("Index");
         }
